GRIB_LS(1)

NAME
grib_ls

DESCRIPTION
List content of grib files printing values of some keys. It does not fail when a key is not found.

USAGE
grib_ls [options] grib_file grib_file ...

OPTIONS

-p key[:{s/d/l}],key[:{s/d/l}],...
    Declaration of keys to print. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be requested. Default type is string.

-F format
    C style format for floating point values.

-P key[:{s/d/l}],key[:{s/d/l}],...
    As -p adding the declared keys to the default list.

-w key[:{s/d/l}]{=/!=}value,key[:{s/d/l}]{=/!=}value,...
    Where clause. Grib messages are processed only if they match all the key/value constraints. A valid constraint is of type key=value or key!=value. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be specified. Default type is string.

-j 	json output

-B order by directive
    Order by. The output will be ordered according to the order by directive. Order by example: "step asc, centre desc" (step ascending and centre descending)

-l Latitude,Longitude[,MODE,file]
    Value close to the point of a Latitude/Longitude. Allowed values for MODE are: 4 (4 values in the nearest points are printed) Default 1 (the value at the nearest point is printed) file (file is used as mask. The closer point with mask value>=0.5 is printed)

-s key[:{s/d/l}]=value,key[:{s/d/l}]=value,...
    Key/values to set. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be defined. By default the native type is set.

-i index
    Data value corresponding to the given index is printed.

-n namespace
    All the keys belonging to namespace are printed.

-m 	Mars keys are printed.

-V 	Version.

-W width
    Minimum width of each column in output. Default is 10.

-M 	Multi-field support off. Turn off support for multiple fields in single grib message.

-g 	Copy GTS header.

-T T | B | A	Message type. T->GTS, B->BUFR, A->Any (Experimental).
    The input file is interpreted according to the message type.

-7 	Does not fail when the message has wrong length

-X offset
    Input file offset in bytes. Processing of the input file will start from "offset".

-x 	Fast parsing option, only headers are loaded.

AUTHOR
This manpage has been autogenerated by Enrico Zini <enrico@debian.org>from the command line help of grib_ls.